#Prints the Fibonacci numbers up to the parameter number
def print_fibs(up_to_number):
	prev_fib = 1
	next_fib = 1
	while next_fib < up_to_number:
		  print(next_fib, end=" ")
		  prev_fib, next_fib = next_fib, next_fib + prev_fib
	print()


def get_fibs_list(how_many):
	prev_fib = 0
	next_fib = 1
	fib_list = []

	while len(fib_list) < how_many:
		  fib_list.append(next_fib)
		  prev_fib, next_fib = next_fib, next_fib + prev_fib

	return fib_list

def get_the_fib(which_fib):
	if which_fib < 1:
		 return 0
	prev_fib = 0
	next_fib = 1
	term_number = 0
	while term_number < which_fib:
		 prev_fib, next_fib = next_fib, next_fib + prev_fib
		 term_number += 1			
	return next_fib
	
def main():
	print("up to 20:", end = " ")
	print_fibs(20)
	print("up to -4:",end = " ")
	print_fibs(-4)
	print("up to 0:",end = " ")
	print_fibs(0)
	print("up to 1:",end = " ")
	print_fibs(1)
	print("up to 2:",end = " ")
	print_fibs(2)
	
	print("List of first 5 fib numbers", get_fibs_list(5))
	print("List of first 0 fib numbers:", get_fibs_list(0))
	print("List of first -2 fib numbers:", get_fibs_list(-2))

	print("Get fib number 6:", get_the_fib(6))
	print("Get fib number 0:", get_the_fib(0))
	print("Get fib number -2:", get_the_fib(-2))
	print("Get fib number 4:", get_the_fib(4))
main()
