def print_fibs(up_to_number):
	"""Prints the Fibonacci numbers up to the parameter number
	>>> print_fibs(50)
	1 1 2 3 5 8 13 21 34 
	>>> print_fibs(4)
	1 
	"""
	prev_fib = 0
	print(prev_fib, end=" ")
	next_fib = 1
	while next_fib < up_to_number:
		  print(next_fib, end=" ")
		  prev_fib, next_fib = next_fib, next_fib + prev_fib

import doctest
doctest.testmod()
